*************************************************************************
* Copyright (C) 1996 by Mathias Froehlich.                              *
*                                                                       *
* All rights reserved.                                                  *
*                                                                       *
* This code is part of a copyrighted package. For details, see the file *
* "COPYRIGHT" in the this directory.                                    *
*************************************************************************

      subroutine finteger(invalue)
*
      integer invalue( * )
      invalue(1)=0
      invalue(2)=1
      invalue(3)=-1
      invalue(7)=0
      invalue(8)=1
      invalue(9)=-1
      return
*
      end
*
*
*
      subroutine flogical(invalue)
*
      logical invalue( * )
      invalue(1)=.true.
      invalue(2)=.false.
      invalue(3)=.true.
      invalue(7)=.true.
      invalue(8)=.false.
      invalue(9)=.true.
      return
*
      end
*
*
*
      subroutine freal(invalue)
*
      real invalue( * )
      invalue(1)=0.0
      invalue(2)=1.0
      invalue(3)=-1.0
      invalue(7)=0.0
      invalue(8)=1.0
      invalue(9)=-1.0
      return
*
      end
*
*
*
      subroutine fdoublereal(invalue)
*
      double precision invalue( * )
      invalue(1)=0.0
      invalue(2)=1.0
      invalue(3)=-1.0
      invalue(7)=0.0
      invalue(8)=1.0
      invalue(9)=-1.0
      return
*
      end
*
*
*
      subroutine complexret(val)
*
      external structcall
      doublecomplex structcall
      doublecomplex retval
      doublecomplex val
      retval = structcall(val,retval)
      return
*
      end
*






